[arch-commits] Commit in gdbm/trunk (PKGBUILD gdbm.install)

Tobias Powalowski tpowa at archlinux.org
Sun May 10 03:55:06 EDT 2009


    Date: Sunday, May 10, 2009 @ 03:55:06
  Author: tpowa
Revision: 38726

upgpkg: gdbm 1.8.3-6

Added:
  gdbm/trunk/gdbm.install
Modified:
  gdbm/trunk/PKGBUILD

--------------+
 PKGBUILD     |   18 ++++++++++--------
 gdbm.install |   21 +++++++++++++++++++++
 2 files changed, 31 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 07:52:17 UTC (rev 38725)
+++ PKGBUILD	2009-05-10 07:55:06 UTC (rev 38726)
@@ -2,7 +2,7 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=gdbm
 pkgver=1.8.3
-pkgrel=5
+pkgrel=6
 pkgdesc="GNU database library"
 url="http://www.gnu.org/software/gdbm/gdbm.html"
 license=('GPL')
@@ -10,15 +10,17 @@
 groups=('base')
 depends=('glibc')
 source=(ftp://ftp.gnu.org/gnu/gdbm/$pkgname-$pkgver.tar.gz)
+install=gdbm.install
+options=(!libtool)
 md5sums=('1d1b1d5c0245b1c00aff92da751e9aa1')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
   make prefix=/usr || return 1
-  make prefix=$startdir/pkg/usr install
-  make prefix=$startdir/pkg/usr install-compat
-  chown root.root $startdir/pkg/usr/include/{dbm.h,gdbm.h,ndbm.h}
-  chown root.root $startdir/pkg/usr/man/man3/gdbm.3
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make prefix=$pkgdir/usr manprefix=$pkgdir/usr/share/man man3dir=$pkgdir/usr/share/man/man3 infodir=$pkgdir/usr/share/info install
+  make prefix=$pkgdir/usr manprefix=$pkgdir/usr/share/man man3dir=$pkgdir/usr/share/man/man3 infodir=$pkgdir/usr/share/info install-compat
+  chown root.root $pkgdir/usr/include/{dbm.h,gdbm.h,ndbm.h}
+  chown root.root $pkgdir/usr/share/man/man3/gdbm.3
+  chown root.root $pkgdir/usr/share/info/gdbm.info
 }

Added: gdbm.install
===================================================================
--- gdbm.install	                        (rev 0)
+++ gdbm.install	2009-05-10 07:55:06 UTC (rev 38726)
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+filelist=(gdbm.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+    usr/bin/install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    usr/bin/install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+



More information about the arch-commits mailing list